import request from '@/utils/request'

// 新增敏感用户
export function saveUser(data: any) {
    return request({
        url: '/device-boot/pqSensitiveUser/save',
        method: 'post',
        data: data
    })
}

// 修改敏感用户
export function updateUser(data: any) {
    return request({
        url: '/device-boot/pqSensitiveUser/update',
        method: 'post',
        data: data
    })
}

// 删除敏感用户
export function deleteUser(data: any) {
    return request({
        url: '/device-boot/pqSensitiveUser/delete',
        method: 'post',
        data: data
    })
}

/**
 * 干扰源接入功能删除流程
 */
export const deleteUserReport = (data: any) => {
    return request({
        url: '/device-boot/userReport/deleteUserReport',
        method: 'POST',
        data
    })
}
/**
 * 提交表单数据
 */
export const submitFormData = (data: any) => {
    return request({
        url: '/device-boot/userReport/add',
        method: 'POST',
        data: data
    })
}
// 根据id获取用户档案录入的详细数据
export const getById = (data: any) => {
    return request({
        url: '/device-boot/userReport/getById',
        method: 'get',
        params: data
    })
}

/**
 * 提交表单数据
 */
export const addEditor = (data: any) => {
    return request({
        url: '/device-boot/userReportRenewal/addEditor',
        method: 'POST',
        data: data
    })
}

// 根据id获取用户档案录入的详细数据
export const getByDeptDevLine = (params: any) => {
    return request({
        url: '/device-boot/line/getByDeptDevLine',
        method: 'get',
        params
    })
}
/**
 * 根据id获取用户档案录入的详细数据
 */
export const getUserReportUpdateById = (id: any) => {
    return request({
        url: '/device-boot/userReportRenewal/getUserReportUpdateById?businessId='+id,
        method: 'POST',

    })
}

// 根据id获取用户档案录入的详细数据
export const getUserReportById = (id: any) => {
    return request({
        url: '/device-boot/userReport/getUserReportById?id='+id,
        method: 'get'
    })
}
// 根据id查询文件信息集合
export const getFileById = (params: any) => {
    return request({
        url: '/device-boot/fileUrl/getFileById',
        method: 'get',
        params
    })
}
